package sgc.portal.qc.qc0103.persistence;
import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.qc.qc0103.dto.QC01030001USearch;
import sgc.portal.qc.qc0103.model.QC01030001U;

import java.util.List;

@Mapper
public interface QC01030001UMapper {
	
	//문서관리 조회
	List<EasyHashMap<String, Object>> selectQcOutcoDocGrd(QC01030001USearch search);
	
	List<EasyHashMap<String, Object>> selectCommonCode(QC01030001USearch search);
	
	//문서관리 수정
	int selectOutcoId(QC01030001U qC01030001U);		//OutcoId
	int selectSndRcvSeq(QC01030001U qC01030001U);		//SndRcvSeq
	String selectDocClsNo(QC01030001U qC01030001U);		//DocClsNo
	String selectDocClsNoUpdate(QC01030001U qC01030001U);		//DocClsNo
	int insertQcOutcoDoc(QC01030001U qC01030001U);
    int updateQcOutcoDoc(QC01030001U qC01030001U);
    int deleteQcOutcoDoc(QC01030001U qC01030001U);
	
}
